use cdtypes::types::sector::*;

pub fn create_xa_data_for_data(data: &[u8; Mode2Form1::DATA_SIZE]) -> Mode2Form1 {
    let mut sector = Mode2Form1::new();

    sector.sub_header.sub_mode.set_data();
    sector.data = *data;
    sector
}

pub fn create_xa_data_zero() -> Mode2Form1 {
    create_xa_data_for_data(&[0u8; Mode2Form1::DATA_SIZE])
}